///////////////////////////////////////////////////////////////////////////////
//	FILENAME:	eTBookmark.h 
//	SUMMARY:	Interface for the "brains" behind eText bookmarks
//	SUPERCLASS:	Object
//	INTERFACE:	None
//	PROTOCOLS:	<Annotation,HTMDSupport,ASCIISupport,LaTeXSupport,Tool,
//				InspectableTarget>
//	AUTHOR:		Rohit Khare
//	COPYRIGHT:	(c) 1994 California Institure of Technology, eText Project
///////////////////////////////////////////////////////////////////////////////
//  DESCRIPTION
//		You name it.
///////////////////////////////////////////////////////////////////////////////
//	HISTORY
//	10/30/94:	Modified to support <InspectableTarget>
//	05/18/94:	HTML support RK & TRZ (0245)
//	05/08/94:	Created. First actual implementation.
///////////////////////////////////////////////////////////////////////////////

#import "Bookmark.h"

@interface eTBookmark:Object <Tool,Annotation,DocNotification, ASCIISupport,HTMDSupport,InspectableTarget>
{
	id 		etContainer;
	id		theEnd;
	id		theIcon;
	id		etDoc;
	id		theText;
	id		theTextFieldCell;
	long	anchorID;
	NXAtom	anchorTitle;
	NXAtom	condition;
	BOOL	highlighted;
	BOOL	collapsed;
	BOOL	reclose;
}

- setTitle:(const char *) newTitle;
- setCondition:(const char *) newCondition;
- click:sender;
- doubleClick:sender;
- collapse;
- expand;
- highlight:sender;

- (NXAtom)title;
- (NXAtom)condition;
- (long)id;
- setEnd:newEnd;

- endDidFree:sender;
@end