///////////////////////////////////////////////////////////////////////////////
//	FILENAME:	eTBookmarkUI.h 
//	SUMMARY:	Interface for the inspector of Bookmarks
//	SUPERCLASS:	Object
//	INTERFACE:	eTBookmarkUI.nib
//	PROTOCOLS:	<Inspectable>
//	AUTHOR:		Rohit Khare
//	COPYRIGHT:	(c) 1994 California Institure of Technology, eText Project
///////////////////////////////////////////////////////////////////////////////
//  DESCRIPTION
//		You name it.
///////////////////////////////////////////////////////////////////////////////
//	HISTORY
//	11/13/94:	Modified to use a storage for sorted bookmark lists.
//	05/08/94:	Created. First actual implementation.
///////////////////////////////////////////////////////////////////////////////

#import "Bookmark.h"

@interface eTBookmarkUI:Object <Inspectable>
{
	id	contentPanel;
	id	contentView;
	id	theBookmark;
	id	browser;
	id	well;
	id	conditionField;
	id	titleField;
	id	idField;
	Storage *bmStore;
	long docID;
}

+ new;
- setBookmark:newBookmark inDoc:(long)newDocID;
- load;
- resetTitle:sender;
- resetCondition:sender;
- selectBookmark:sender;
@end
